---
title: 2024-02-01
---

# Co-op Cloud Federation meeting 2024-02

Date poll: https://crab.fit/coop-cloud-federation-february-2024-576238

Previous notes: https://docs.coopcloud.tech/federation/minutes/2023-05-03/

## Agenda

- check-in
  - name
  - pronouns
  - organisation
  - how we're feeling
  - anything we want to get out of today
- emotional support for abra bugs
- missed october 2023 membership dues review ([R002](https://docs.coopcloud.tech/federation/resolutions/passed/002/)), what now?
- [backup restore / testing update](https://pad.riseup.net/p/UEC2JUPGb6tmRCZ7RX9X-keep)
- collective abra next release planning
- ✅ bonfire co-op network hosting proposal
- ✅ next meeting
- check-out
  - how was the meeting?
  - recommendations for next meeting
  - what are you doing for the rest of the day?

## Notes

Here: Calix, Mayel, Moritz, p4u1, d1
Facilitating: Calix
Notes: Mayel

- local-it has test framework with Playwright to test deployment, eg. testing customised configs or modified recipes - not testing app functionality but rather customisation or integrations between apps, eg. SSO - so can check if an upgrade would break - would be nice to integrate the tests into the recipes to they can be linked to the version (ie. update recipe when updating a recipe/app) - in future want to automate into CI (eg drone runner) to auto-update recipes and check for failure - will publish test framework next week on coopcloud gitea - run them first on test deployments to check in advance if update works but also then run in prod to make sure thing runs correctly in prod (eg. if email notifs are working in each app) - this does require extra thinking (eg. deleting data created by tests)
    - sounds really cool! going to look into playwright. could be handy for federated apps
    - sounds like something that orgs like nlnet may fund, maybe can merge these into a proposal to fund this + the more boring coopcloud maintainance

## organise meeting schedule
- would be nice to find a regular rythm for federation meetings instead of needing date polls
- same time? once a month?
- in social.coop TWG they've been getting 2-3 people showing up, maybe just because haven't polled for new regular meeting time for a while
- need someone with capacity to organise (coordination role), whether it's setting up poll or prompting people to join, to get us all in the room
- will someone set up a date poll for march? or re. meeting frequency / how we decide  -> Moritz volunteered

### bonfire co-op network hosting proposal
- https://bonfirenetworks.org/hosting/

what co-op cloud combined with servers.coop would do. idea comes from a need from bonfire team, people who are looking to adopt bonfire, individuals, small collectives, large organisations who might not have tech savvy to set up and maintain own hosting / instances, would rather have as a service .. but we decided early on we didn't want to offer hosting ourselves. and we don't want to host any flagship instances (because centralisation). calls for easy way for people to set up and maintain instances. not just infrastructure, labour, savvy, mnaintenance and support, backups. like community-supported agriculture, "community-supported software" = community gets a say in software, have a say in prioritising. large part of funds goes into infra and labour of maintaining / operating. split among participants.

last funding from NLNet, included milestone. prototype instance setup wizard and management dashboard. €3k to start. small tech component, organisational and infra.

what would m like from CC at this stage?

participants help with prototyping
start small - organisational & infrastructural side is 
communities already want instances!
not setup wizard required, just send us an email etc. do it by hand

budget avail now

one group focused on open science, one on digital radios, online communities around music. possibilities of them finding grants, other sources of income. donations from community members? assume = there would be funds eventually. might have to be a bit of upfront freebie service, especially as we're prototyping. closed beta as we're trying things out.

### missed october 2023 membership dues
- we were going to review who's paying, how's the amount. we didn't! what to do.

### backup restore / testing update
- after meeting about backup bot in januarry, need to document what already exists and what has been decided, there was a proposal - will followup async

### collective abra next release planning
- some are in process of improving backup/restore (still WIP) and some bugs were also found, so now it's difficult to make a release - many are self-building abra so not an issue for them, but would be good to make a plan first (next time) to avoid large refactors that block releases
- also plan around how long features take to implement, maybe during federation meetings
- proposal for next abra release: some bugs are fixed in main branch but release blocked by backup stuff, so could create a new branch from point where backup stuff was not merged and create release from there, so don't need to worry about incomplete backup stuff, should be pretty easy, that way can finish backup with no rush
- if we do so, need 1 or 2 people to run integration tests + fix any bugs that appear and then do the release - ideally 1 person who has released before (d1 volunteers) + another who hasn't (p4u1 volunteers)


## check out
- in future need to talk about how long meeting can go before starting + agenda prioritisation
